## erlang-xmlrpc 0.2014.03.17

=== src/Makefile ===

# Do not change anything below this line.
ifeq ($(DEBUG),true)
DEBUG_FLAGS = -DDEBUG
else
DEBUG_FLAGS =
endif

ERLC=erlc
ERLC_FLAGS=-W $(DEBUG_FLAGS) -o ../ebin
MODULES=xmlrpc xmlrpc_decode xmlrpc_encode xmlrpc_http xmlrpc_util tcp_serv url_util
EBIN_FILES=$(MODULES:%=../ebin/%.beam)

all: $(EBIN_FILES) 

../ebin/%.beam: %.erl log.hrl
	$(ERLC) $(ERLC_FLAGS) $<

clean:
	rm -f $(EBIN_FILES)

=== debian/changelog ===
erlang-xmlrpc (0.2014.03.17-2) unstable; urgency=medium

  * Drop git from build-depends and add patch to fix FTBFS (Closes: #745583)
  * Add correct erlang depends

 -- Philipp Huebner <debalance@debian.org>  Wed, 23 Apr 2014 09:31:56 +0200

erlang-xmlrpc (0.2014.03.17-1) unstable; urgency=low

  * Initial release (Closes: #744883)

 -- Philipp Huebner <debalance@debian.org>  Wed, 16 Apr 2014 18:02:46 +0200

=== debian/control ===
Source: erlang-xmlrpc
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/rds13/xmlrpc


Package: erlang-xmlrpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: HTTP 1.1 compliant XML-RPC library for Erlang
 This is an HTTP 1.1 compliant XML-RPC library for Erlang. It is
 designed to make it easy to write XML-RPC Erlang clients and/or
 servers. The library is compliant with the XML-RPC specification
 published by http://www.xmlrpc.org/.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

DESTDIR=$(CURDIR)/debian/erlang-xmlrpc

%:
	dh $@ --buildsystem=rebar --with rebar

override_dh_auto_install:
	dh_auto_install
	for file in include/*.hrl ; do \
		fname=$$(basename $${file}) ; \
		subdir=$$(basename $$(dirname $${file})) ; \
		if [ ! -f $(DESTDIR)/usr/lib/erlang/lib/xmlrpc-$(DEB_VERSION_UPSTREAM)/$${subdir}/$${fname} ] ; then \
			install -m 755 -d $(DESTDIR)/usr/lib/erlang/lib/xmlrpc-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
			install -m 644 $${file} \
			$(DESTDIR)/usr/lib/erlang/lib/xmlrpc-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
		fi ; \
	done

## erlang-xmlrpc 1.15

=== Makefile ===
ifeq ($(DEBUG),true)
DEBUG_FLAGS = -DDEBUG
else
DEBUG_FLAGS =
endif

XMLRPC_SOURCE_ROOT=.
XMLRPC_INCLUDE_DIR=$(XMLRPC_SOURCE_ROOT)/include

SOURCE_DIR=src
EBIN_DIR=ebin
INCLUDE_DIR=include
INCLUDES=$(wildcard $(INCLUDE_DIR)/*.hrl)
SOURCES=$(wildcard $(SOURCE_DIR)/*.erl)
TARGETS=$(patsubst $(SOURCE_DIR)/%.erl, $(EBIN_DIR)/%.beam,$(SOURCES))

#other args: +native +"{hipe,[o3,verbose]}" -Ddebug=true +debug_info +no_strict_record_tests
ERLC_OPTS=-I $(XMLRPC_INCLUDE_DIR) -I $(INCLUDE_DIR) -o $(EBIN_DIR) $(DEBUG_FLAGS) -DTEST -Wall +debug_info
ERL_CALL=erl -pa $(EBIN_DIR)

all: $(EBIN_DIR) $(TARGETS)

$(EBIN_DIR):
	mkdir -p $@

$(EBIN_DIR)/%.beam: $(SOURCE_DIR)/%.erl $(INCLUDES)
	erlc $(ERLC_OPTS) $<

run-tests: all
	$(ERL_CALL) \
	  -eval 'eunit:test("ebin", [verbose])' \
	  -s init stop

dialyze: $(TARGETS)
	dialyzer -c $?

clean:
	rm -f ebin/*.beam $(TARGETS)
	rm -f build-stamp install-stamp

distclean: clean

=== examples/Makefile ===
# Update the APACHE_XMLRPC_PATH variable to point at your Apache
# XML-RPC installation. This is only necessary if you intend to
# compile the Java clients.
APACHE_XMLRPC_PATH=../../apache/xmlrpc/bin/xmlrpc-1.1.jar

# Do not change anything below this line.
ERLC=erlc
ERLC_FLAGS=-W
MODULES=date_server echo_server fib_server validator
EBIN_FILES=$(MODULES:%=%.beam)
JAVAC=javac
JAVAC_FLAGS=-classpath $(APACHE_XMLRPC_PATH):.
JAVA_FILES=FibClient EchoClient DateClient BankClient
CLASS_FILES=$(JAVA_FILES:%=%.class)

all: $(EBIN_FILES) 

java_clients:  $(CLASS_FILES)

%.beam: %.erl
	$(ERLC) $(ERLC_FLAGS) $<

%.class: %.java
	$(JAVAC) $(JAVAC_FLAGS) $<

clean:
	rm -f $(EBIN_FILES) $(CLASS_FILES)

=== debian/changelog ===
erlang-xmlrpc (1.15-2) unstable; urgency=medium

  * Fix FTBFS

 -- Philipp Huebner <debalance@debian.org>  Fri, 01 May 2015 10:45:06 +0200

erlang-xmlrpc (1.15-1) unstable; urgency=medium

  * New upstream release
  * Removed deprecated patch "remove-git.diff"
  * Updated debian/watch
  * Updated Standards-Version: 3.9.6 (no changes needed)
  * Updated years in debian/copyright
  * Added Vcs links to debian/control

 -- Philipp Huebner <debalance@debian.org>  Thu, 30 Apr 2015 08:28:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: erlang-xmlrpc
 Priority: optional
 Maintainer: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>= 9), dh-rebar
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit
+Standards-Version: 3.9.6
 Section: libs
 Homepage: https://github.com/rds13/xmlrpc
-
+Vcs-Git: git://anonscm.debian.org/users/debalance/erlang-xmlrpc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/debalance/erlang-xmlrpc.git
 
 Package: erlang-xmlrpc
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 %:
 	dh $@ --buildsystem=rebar --with rebar
 
+override_dh_auto_build:
+	make all
+
 override_dh_auto_install:
 	dh_auto_install
 	for file in include/*.hrl ; do \

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/erlang-xmlrpc_$1.tar.gz/" \
  https://github.com/rds13/xmlrpc/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
